package com.huimv.acquisition.controller;

import com.huimv.acquisition.mapper.EartagDataDao;
import com.huimv.acquisition.result.R;
import com.huimv.acquisition.service.EartagDataService;
import com.huimv.acquisition.utils.PageUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @Author Anchor
 * @Date 2021/8/4 13:57
 * @Version 1.0.1
 */

//存栏排名的接口
@RestController
@RequestMapping("manager/rank")
@CrossOrigin
public class StockRankController {


    @Autowired
    private EartagDataDao eartagDataDao;

    @Autowired
    private EartagDataService  eartagDataService  ;



    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params) {
        PageUtils page = eartagDataService.queryPage(params);
        return R.ok().put("page", page);
    }











}
