package com.huimv.acquisition.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 栋舍表
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-07-30 16:02:09
 */
@Data
@TableName("base_pigpen")
public class BasePigpenEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId
	private Integer id;
	/**
	 * 栋舍名称
	 */
	private String pigpenName;
	/**
	 * 上级id
	 */
	private Integer parentId;
	/**
	 * 1.猪舍 2.单元
	 */
	private Integer type;
	/**
	 * 
	 */
	private String farmCode;

}
