package com.huimv.acquisition.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.acquisition.entity.BaseFarmInfoEntity;
import com.huimv.acquisition.mapper.BaseFarmInfoDao;
import com.huimv.acquisition.service.BaseFarmInfoService;
import com.huimv.acquisition.utils.PageUtils;
import com.huimv.acquisition.utils.Query;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-27 14:50:11
 */
@Service("baseFarmInfoService")
public class BaseFarmInfoServiceImpl extends ServiceImpl<BaseFarmInfoDao, BaseFarmInfoEntity> implements BaseFarmInfoService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<BaseFarmInfoEntity> page = this.page(
                new Query<BaseFarmInfoEntity>().getPage(params),
                new QueryWrapper<BaseFarmInfoEntity>()
        );
        return new PageUtils(page);
    }

}