package com.huimv.acquisition.service.impl;

import com.huimv.acquisition.entity.BasePigpenEntity;
import com.huimv.acquisition.mapper.BasePigpenDao;
import com.huimv.acquisition.service.BasePigpenService;
import com.huimv.acquisition.utils.PageUtils;
import com.huimv.acquisition.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 栋舍表
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-30 16:02:09
 */
@Service("basePigpenService")
public class BasePigpenServiceImpl extends ServiceImpl<BasePigpenDao, BasePigpenEntity> implements BasePigpenService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<BasePigpenEntity> page = this.page(
                new Query<BasePigpenEntity>().getPage(params),
                new QueryWrapper<BasePigpenEntity>()
        );

        return new PageUtils(page);
    }

}