package com.huimv.acquisition.service.impl;

import com.huimv.acquisition.entity.CollectorRegisterEntity;
import com.huimv.acquisition.mapper.CollectorRegisterDao;
import com.huimv.acquisition.service.CollectorRegisterService;
import com.huimv.acquisition.utils.PageUtils;
import com.huimv.acquisition.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-30 09:45:22
 */
@Service("collectorRegisterService")
public class CollectorRegisterServiceImpl extends ServiceImpl<CollectorRegisterDao, CollectorRegisterEntity> implements CollectorRegisterService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<CollectorRegisterEntity> page = this.page(
                new Query<CollectorRegisterEntity>().getPage(params),
                new QueryWrapper<CollectorRegisterEntity>()
        );

        return new PageUtils(page);
    }

}