package com.huimv.acquisition.service.impl;

import com.huimv.acquisition.entity.DeviceSendMessageAlarmEntity;
import com.huimv.acquisition.mapper.DeviceSendMessageAlarmDao;
import com.huimv.acquisition.service.DeviceSendMessageAlarmService;
import com.huimv.acquisition.utils.PageUtils;
import com.huimv.acquisition.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-08-05 21:54:09
 */
@Service("deviceSendMessageAlarmService")
public class DeviceSendMessageAlarmServiceImpl extends ServiceImpl<DeviceSendMessageAlarmDao, DeviceSendMessageAlarmEntity> implements DeviceSendMessageAlarmService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DeviceSendMessageAlarmEntity> page = this.page(
                new Query<DeviceSendMessageAlarmEntity>().getPage(params),
                new QueryWrapper<DeviceSendMessageAlarmEntity>()
        );

        return new PageUtils(page);
    }

}