package com.huimv.acquisition.service.impl;

import com.huimv.acquisition.entity.EnvTempAlarmEntity;
import com.huimv.acquisition.mapper.EnvTempAlarmDao;
import com.huimv.acquisition.service.EnvTempAlarmService;
import com.huimv.acquisition.utils.PageUtils;
import com.huimv.acquisition.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-08-05 21:54:09
 */
@Service("envTempAlarmService")
public class EnvTempAlarmServiceImpl extends ServiceImpl<EnvTempAlarmDao, EnvTempAlarmEntity> implements EnvTempAlarmService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<EnvTempAlarmEntity> page = this.page(
                new Query<EnvTempAlarmEntity>().getPage(params),
                new QueryWrapper<EnvTempAlarmEntity>()
        );

        return new PageUtils(page);
    }

}