package com.huimv.acquisition.service.impl;

import com.huimv.acquisition.entity.MovePigpenEntity;
import com.huimv.acquisition.mapper.MovePigpenDao;
import com.huimv.acquisition.service.MovePigpenService;
import com.huimv.acquisition.utils.PageUtils;
import com.huimv.acquisition.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-28 09:57:42
 */
@Service("movePigpenService")
public class MovePigpenServiceImpl extends ServiceImpl<MovePigpenDao, MovePigpenEntity> implements MovePigpenService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<MovePigpenEntity> page = this.page(
                new Query<MovePigpenEntity>().getPage(params),
                new QueryWrapper<MovePigpenEntity>()
        );

        return new PageUtils(page);
    }

}