package com.huimv.manager.controller;

import com.huimv.manager.entity.dto.DataAnalysisDto;
import com.huimv.manager.result.R;
import com.huimv.manager.service.DataAnalysisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.text.ParseException;


/**
 * <p>
 *
 * </p>
 *
 * @author yinhao
 * @date 2021/7/28 14:04
 */
@CrossOrigin
@RestController
@RequestMapping("/dataAnalysis")
public class DataAnalysisController {

    @Autowired
    private DataAnalysisService dataAnalysisService;

    @PostMapping("/getPigStockByRegionCode")
    public R getDayPigStockByRegionCode(@Validated @RequestBody DataAnalysisDto dataAnalysisDto) throws ParseException {
        return dataAnalysisService.getDayPigStockByRegionCode(dataAnalysisDto);
    }

    @GetMapping("/childPigStock")
    public R getChildPigStockByRegionCode(@RequestParam("regionCode") String regionCode) {
        return dataAnalysisService.getChildPigStockByRegionCode(regionCode);
    }

//    public R getMonthPigStockByRegionCode(@Validated @RequestBody DataAnalysisDto dataAnalysisDto) {
//        return dataAnalysisService.getMonthPigStockByRegionCode(dataAnalysisDto);
//    }
}
