package com.huimv.manager.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 第三方企业注册表
 */
@Data
@TableName("company_register")
public class CompanyRegisterEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    private Integer id;

    /**
     * 企业名称
     */
    private String companyName;

    /**
     * 客服服务号
     */
    private String serviceCode;

}
