package com.huimv.manager.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("eartag_data")
public class EartagDataEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录id(主键)
     */
    @TableId
    private Integer id;

    /**
     * 采集器编码
     */
    private String deviceCode;

    /**
     * 耳标号
     */
    private String eartagNo;

    /**
     * 采集时间
     */
    private Date time;

    /**
     * 佩标日龄
     */
    private Integer dayAge;

    /**
     * 日龄
     */
    private Integer dayAge2;

    /**
     * 耳根温度
     */
    private Integer earTemp;

    /**
     * 运动量
     */
    private Integer exercise;

    /**
     * 栋舍
     */
    private String pigpen;

    /**
     * 环境温度
     */
    private Integer envTemp;

    /**
     * 电池电量
     */
    private Integer bat;

    /**
     * 信号强度
     */
    private Integer rssi;

    /**
     * 命令头
     */
    private String head;

    /**
     * 指令
     */
    private String command;

    /**
     * 版本号
     */
    private String version;

    /**
     * 耳标帧序号
     */
    private Integer frameSerialNo;

    /**
     * 重启次数
     */
    private Integer rebootTimes;

    /**
     * 预留字段
     */
    private String prepareField;

    /**
     * 校验码
     */
    private String chk;

    /**
     * 命令尾
     */
    private String tail;

    private String farmCode;
    /**
     * 阶段
     */
    private Integer stage;

    /**
     * 区间运动量
     */
    private Integer sportGap;

}
