package com.huimv.manager.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-07-28 10:39:17
 */
@Data
@TableName("farm_stock")
public class FarmStockEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 牧场代码
	 */
	private String farmCode;
	/**
	 * 牧场名称
	 */
	private String farmName;
	/**
	 * 母猪总存栏
	 */
	private Integer sowTotalStock;
	/**
	 * 母猪新增
	 */
	private Integer eartagNew;
	/**
	 * 耳标离线
	 */
	private Integer eartagOffone;
	/**
	 * 能繁母猪存栏
	 */
	private Integer sowStock;
	/**
	 * 配怀存栏
	 */
	private Integer stock1;
	/**
	 * 分娩存栏
	 */
	private Integer stock2;
	/**
	 * 空怀存栏
	 */
	private Integer stock3;
	/**
	 * 后备存栏
	 */
	private Integer stock4;
	/**
	 * 公猪存栏
	 */
	private Integer stock5;
	/**
	 * 月份
	 */
	private Integer month;
	/**
	 * 年度
	 */
	private Integer year;
	/**
	 * 地市代码
	 */
	private String cityCode;
	/**
	 * 区县代码
	 */
	private String countyCode;

}
