package com.huimv.manager.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 推送接口表
 */
@Data
@TableName("interface_register")
public class InterfaceRegisterEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    private Integer id;

    /**
     * 企业注册id
     */
    private Integer companyId;

    /**
     * 推送ip
     */
    private String ip;

    /**
     * 推送port
     */
    private Integer port;

    /**
     * 附属字段
     */
    private String other;

}
