package com.huimv.manager.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.manager.entity.EartagDataEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.manager.entity.vo.EartagDataCountVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-07-24 16:29:33
 */
@Mapper
public interface EartagDataDao extends BaseMapper<EartagDataEntity> {

    List<EartagDataCountVo> countByTime(@Param(Constants.WRAPPER) QueryWrapper<EartagDataEntity> wrapper);

    List<EartagDataCountVo> countByDay(@Param(Constants.WRAPPER)QueryWrapper<EartagDataEntity> wrapper);
}
