package com.huimv.manager.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.manager.entity.EnvironmentDataEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.manager.entity.vo.EnvironmentDataVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 环境数据表
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-07-24 16:29:33
 */
@Mapper
public interface EnvironmentDataDao extends BaseMapper<EnvironmentDataEntity> {

    List<EnvironmentDataVo> countEnvironmentTemperature(@Param(Constants.WRAPPER) QueryWrapper<EnvironmentDataEntity> wrapper);
}
