package com.huimv.manager.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.manager.entity.CollectorRegisterEntity;
import com.huimv.manager.entity.FarmStockEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * 
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-07-28 10:39:17
 */
@Mapper
@Repository
public interface FarmStockDao extends BaseMapper<FarmStockEntity> {

    IPage<FarmStockEntity> page(@Param("page")IPage page,@Param(Constants.WRAPPER) QueryWrapper<FarmStockEntity> wrapper);
}
