package com.huimv.manager.service.impl;

import com.huimv.manager.mapper.CompanyRegisterDao;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.manager.utils.PageUtils;
import com.huimv.manager.utils.Query;
import com.huimv.manager.entity.CompanyRegisterEntity;
import com.huimv.manager.service.CompanyRegisterService;

/**
 * 第三方企业注册表
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-24 16:29:33
 */
@Service("companyRegisterService")
public class CompanyRegisterServiceImpl extends ServiceImpl<CompanyRegisterDao, CompanyRegisterEntity> implements CompanyRegisterService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<CompanyRegisterEntity> page = this.page(
                new Query<CompanyRegisterEntity>().getPage(params),
                new QueryWrapper<CompanyRegisterEntity>()
        );

        return new PageUtils(page);
    }

}