package com.huimv.manager.service.impl;

import com.huimv.manager.mapper.InterfaceRegisterDao;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.manager.utils.PageUtils;
import com.huimv.manager.utils.Query;

import com.huimv.manager.entity.InterfaceRegisterEntity;
import com.huimv.manager.service.InterfaceRegisterService;

/**
 * 推送接口表
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-24 16:29:33
 */
@Service("interfaceRegisterService")
public class InterfaceRegisterServiceImpl extends ServiceImpl<InterfaceRegisterDao, InterfaceRegisterEntity> implements InterfaceRegisterService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<InterfaceRegisterEntity> page = this.page(
                new Query<InterfaceRegisterEntity>().getPage(params),
                new QueryWrapper<InterfaceRegisterEntity>()
        );

        return new PageUtils(page);
    }

}