package com.huimv.manager.service.impl;

import com.huimv.manager.entity.RegionStockDayEntity;
import com.huimv.manager.mapper.RegionStockDayDao;
import com.huimv.manager.service.RegionStockDayService;
import com.huimv.manager.utils.PageUtils;
import com.huimv.manager.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-08-05 18:46:23
 */
@Service("regionStockDayService")
public class RegionStockDayServiceImpl extends ServiceImpl<RegionStockDayDao, RegionStockDayEntity> implements RegionStockDayService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<RegionStockDayEntity> page = this.page(
                new Query<RegionStockDayEntity>().getPage(params),
                new QueryWrapper<RegionStockDayEntity>()
        );

        return new PageUtils(page);
    }

}