package com.huimv.transmission.entity.form;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author yinhao
 * @date 2021/7/30 17:18
 */
@Data
public class TokenForm implements Serializable {
    private static final long serialVersionUID = -1959068300303938491L;

    @NotNull(message = "随机数不能为空!")
    private Integer random;

    @NotNull(message = "时间戳不能为空!")
    private Long timestamp;

    @NotBlank(message = "签名不能为空!")
    private String sign;

}
