package com.huimv.transmission.entity.vo;


import com.alibaba.fastjson.annotation.JSONType;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author yinhao
 * @date 2021/7/26 13:23
 */
@Data
@JSONType(orders={"farmID","time","stage","quantity","newCount","eliminate"})
public class DailyTabulateDataVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 牧场编码
     */
    private String farmID;
    /**
     * 存栏时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date time;
    /**
     * 阶段
     */
    private Integer stage;
    /**
     * 当前存栏总数量
     */
    private Integer quantity;
    /**
     * 新增存栏量
     */
    @JsonProperty("new")
    private Integer newCount;
    /**
     * 离线存栏量
     */
    private Integer eliminate;
}
