package com.huimv.transmission.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author yinhao
 * @date 2021/7/30 15:32
 */
@Data
@JsonPropertyOrder({"date","farmID","stock1","stock2","stock3","stock4","newQuantity","offlineQuantity"})
public class DayPigStockVo implements Serializable {
    private static final long serialVersionUID = 6611629039599120627L;

    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date date;

    /**
     * 牧场编码
     */
    private String farmID;
    /**
     * 母猪存栏
     */
    private Integer stock1;
    /**
     * 能繁母猪存栏
     */
    private Integer stock2;
    /**
     * 分娩舍母猪存栏
     */
    private Integer stock3;
    /**
     * 配怀舍母猪存栏
     */
    private Integer stock4;
    /**
     * 母猪新增
     */
    @JsonProperty("new_quantity")
    private Integer newQuantity;
    /**
     * 母猪离线
     */
    @JsonProperty("offline_quantity")
    private Integer offlineQuantity;
}
