package com.huimv.transmission.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.transmission.entity.DailyTabulateDataEntity;
import com.huimv.transmission.entity.vo.DailyTabulateDataVo;
import com.huimv.transmission.entity.vo.DayPigStockVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 耳标每日汇总表
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-07-24 16:29:33
 */
@Mapper
@Repository
public interface DailyTabulateDataDao extends BaseMapper<DailyTabulateDataEntity> {

    IPage<DailyTabulateDataVo> getPigStockPage(@Param("page") IPage<DailyTabulateDataVo> iPage,@Param(Constants.WRAPPER) LambdaQueryWrapper<DailyTabulateDataEntity> lambdaQuery);

    IPage<DayPigStockVo> getPigStockByDay(@Param("page") IPage<DayPigStockVo> iPage, @Param(Constants.WRAPPER) LambdaQueryWrapper<DailyTabulateDataEntity> lambdaQuery);

}
