package com.huimv.transmission.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.transmission.entity.DailyTabulateDataEntity;
import com.huimv.transmission.entity.form.BaseForm;
import com.huimv.transmission.entity.form.PigStockForm;
import com.huimv.transmission.entity.vo.DailyTabulateDataVo;
import com.huimv.transmission.utils.PageUtils;
import org.apache.ibatis.annotations.Param;


import java.util.Map;

/**
 * 耳标每日汇总表
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-24 16:29:33
 */
public interface DailyTabulateDataService extends IService<DailyTabulateDataEntity> {

    PageUtils queryPage(Map<String, Object> params);

    IPage<DailyTabulateDataVo> getPigStockPage(PigStockForm pigStockForm);

    PageUtils getPigStockByDay(BaseForm baseForm);

    PageUtils getPigStock(PigStockForm pigStockForm);

}

