package com.huimv.acquisition.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 耳标每日汇总表
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-08-04 14:59:05
 */
@Data
@TableName("daily_tabulate_data")
public class DailyTabulateDataEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 统计日期
	 */
	private Date statisticDate;
	/**
	 * 当日母猪总存栏
	 */
	private Integer stockTotal;
	/**
	 * 每日母猪新增耳标数
	 */
	private Integer stockNew;
	/**
	 * 每日离线耳标数
	 */
	private Integer offlineNo;
	/**
	 * 能繁母猪存栏数
	 */
	private Integer sowStock;
	/**
	 * 日龄占比（250-1000）
	 */
	private String ratio1;
	/**
	 * 日龄（1000-1700）
	 */
	private String ratio2;
	/**
	 * 日龄（1700-2400）
	 */
	private String ratio3;
	/**
	 * 日龄（>2400)
	 */
	private String ratio4;
	/**
	 * 配怀存栏
	 */
	private Integer stock1;
	/**
	 * 分娩存栏
	 */
	private Integer stock2;
	/**
	 * 空怀母猪
	 */
	private Integer stock3;
	/**
	 * 后备存栏
	 */
	private Integer stock4;
	/**
	 * 公猪存栏
	 */
	private Integer stock5;
	/**
	 * 牧场编码
	 */
	private String farmCode;

}
