package com.huimv.acquisition.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-08-04 17:47:18
 */
@Data
@TableName("sow_rank_table")
public class SowRankTableEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	@TableId(type = IdType.NONE)
	private Integer id;
	/**
	 * 
	 */
	private String farmCode;
	/**
	 * 
	 */
	private String farmId;
	/**
	 * 母猪存栏
	 */
	private Integer sowLivestock;
	/**
	 * 排名
	 */
	private Integer sowLivestockRank;
	/**
	 * 存栏增长
	 */
	private Integer sowLivestockInc;
	/**
	 * 排名
	 */
	private Integer sowLivestockIncRank;
	/**
	 * 母猪msy
	 */
	private Double sowMsy;
	/**
	 * 排名
	 */
	private Integer sowMsyRank;
	/**
	 * 统计
	 */
	private Integer outStockCount;
	/**
	 * 预计
	 */
	private Integer outStockExpected;
	/**
	 * 目标
	 */
	private Integer ainOutStock;
	/**
	 * 完成度
	 */
	private String finishPercent;
	/**
	 * 备注
	 */
	private String remark;
	/**
	 * 排名备用
	 */
	private String rank;

	//创建时间
	private Date create_time;

	//
	private String farmName;

}
