package com.huimv.acquisition.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.manager.entity.vo
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/7/24 0024 17:46
 **/
@Data
public class CollectorRegisterVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 记录id(主键)
     */
    private Integer id;
    /**
     * 设备编码
     */
    private String deviceCode;
    /**
     * 地县编码
     */
    private String countyCode;
    /**
     * 区县名
     */
    private String countyName;
    /**
     * 牧场编码
     */
    private String farmCode;
    /**
     * 牧场名称
     */
    private String farmName;
    /**
     * 动物种类
     */
    private Integer typeF;
    /**
     * 阶段
     */
    private Integer stage;
    /**
     * 猪舍id
     */
    private Integer pigpenId;

    private String pigpenName;

    private String unitName;
    /**
     * 单元id
     */
    private Integer unitId;
    /**
     * 上传服务器地址
     */
    private String serverIp;
    /**
     * 端口
     */
    private Integer port;
    /**
     * 注册时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date registerTime;
    /**
     * 最后上传时间
     */
    private Date lastTime;

    /**
     * 状态 默认值 1  1.正常 2.异常
     */
    private Integer state;
}
