package com.huimv.acquisition.service.impl;

import com.huimv.acquisition.entity.DailyTabulateDataEntity;
import com.huimv.acquisition.mapper.DailyTabulateDataDao;
import com.huimv.acquisition.service.DailyTabulateDataService;
import com.huimv.acquisition.utils.PageUtils;
import com.huimv.acquisition.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/*
 * 耳标每日汇总表
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-08-04 14:59:05
 */
@Service("dailyTabulateDataService")
public class DailyTabulateDataServiceImpl extends ServiceImpl<DailyTabulateDataDao, DailyTabulateDataEntity> implements DailyTabulateDataService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DailyTabulateDataEntity> page = this.page(
                new Query<DailyTabulateDataEntity>().getPage(params),
                new QueryWrapper<DailyTabulateDataEntity>()
        );

        return new PageUtils(page);
    }

}