package com.huimv.acquisition.service.impl;

import com.huimv.acquisition.entity.DeviceOffLineAlarmEntity;
import com.huimv.acquisition.mapper.DeviceOffLineAlarmDao;
import com.huimv.acquisition.service.DeviceOffLineAlarmService;
import com.huimv.acquisition.utils.PageUtils;
import com.huimv.acquisition.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-08-05 21:54:09
 */
@Service("deviceOffLineAlarmService")
public class DeviceOffLineAlarmServiceImpl extends ServiceImpl<DeviceOffLineAlarmDao, DeviceOffLineAlarmEntity> implements DeviceOffLineAlarmService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DeviceOffLineAlarmEntity> page = this.page(
                new Query<DeviceOffLineAlarmEntity>().getPage(params),
                new QueryWrapper<DeviceOffLineAlarmEntity>()
        );

        return new PageUtils(page);
    }

}