package com.huimv.acquisition.service.impl;

import com.huimv.acquisition.entity.EartagRegisterEntity;
import com.huimv.acquisition.mapper.EartagRegisterDao;
import com.huimv.acquisition.service.EartagRegisterService;
import com.huimv.acquisition.utils.PageUtils;
import com.huimv.acquisition.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-29 14:55:44
 */
@Service("eartagRegisterService")
public class EartagRegisterServiceImpl extends ServiceImpl<EartagRegisterDao, EartagRegisterEntity> implements EartagRegisterService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<EartagRegisterEntity> page = this.page(
                new Query<EartagRegisterEntity>().getPage(params),
                new QueryWrapper<EartagRegisterEntity>()
        );

        return new PageUtils(page);
    }

}