package com.huimv.acquisition.service.impl;

import com.huimv.acquisition.entity.FarmStockEntity;
import com.huimv.acquisition.mapper.FarmStockDao;
import com.huimv.acquisition.service.FarmStockService;
import com.huimv.acquisition.utils.PageUtils;
import com.huimv.acquisition.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-08-04 14:13:15
 */
@Service("farmStockService")
public class FarmStockServiceImpl extends ServiceImpl<FarmStockDao, FarmStockEntity> implements FarmStockService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<FarmStockEntity> page = this.page(
                new Query<FarmStockEntity>().getPage(params),
                new QueryWrapper<FarmStockEntity>()
        );
        return new PageUtils(page);





    }

}