package com.huimv.manager.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 栋舍表
 */
@Data
@TableName("base_pigpen")
public class BasePigpenEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    private Integer id;

    /**
     * 栋舍名称
     */
    private String pigpenName;

    /**
     * 上级id
     */
    private Integer parentId;

    /**
     * 1.猪舍 2.单元
     */
    private Integer type;

    private String farmCode;

}
