package com.huimv.manager.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-08-05 18:46:23
 */
@Data
@TableName("region_stock_day")
public class RegionStockDayEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 行政区划代码
	 */
	private String regionCode;
	/**
	 * 行政区划名称
	 */
	private String regionName;
	/**
	 * 母猪总存栏
	 */
	private Integer sowTotalStock;
	/**
	 * 母猪新增
	 */
	private Integer eartagNew;
	/**
	 * 耳标离线
	 */
	private Integer eartagOffone;
	/**
	 * 能繁母猪存栏
	 */
	private Integer sowStock;
	/**
	 * 配怀存栏
	 */
	private Integer stock1;
	/**
	 * 分娩存栏
	 */
	private Integer stock2;
	/**
	 * 空怀存栏
	 */
	private Integer stock3;
	/**
	 * 后备存栏
	 */
	private Integer stock4;
	/**
	 * 公猪存栏
	 */
	private Integer stock5;
	/**
	 * 日期
	 */
	private Integer date;
	/**
	 * 上级行政区划代码
	 */
	private String parentCode;

}
