package com.huimv.manager.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-08-06 15:40:07
 */
@Data
@TableName("stock_out")
public class StockOutEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 行政区划代码/牧场代码
	 */
	private String regionCode;
	/**
	 * 行政区划名称/牧场名称（备用字段）
	 */
	private String regionName;
	/**
	 * 母猪总存栏
	 */
	private Integer sowTotalStock;
	/**
	 * 总存栏增幅类型
	 */
	private Integer totalStockWay;
	/**
	 * 总存栏增幅数量
	 */
	private Integer totalStockUpdate;
	/**
	 * 累计出栏量
	 */
	private Integer outTotal;
	/**
	 * 累计出栏量增幅类型
	 */
	private Integer outWay;
	/**
	 * 累计出栏量增幅数量
	 */
	private Integer outUpdate;
	/**
	 * 预计年出栏量
	 */
	private Integer expectOut;
	/**
	 * 预计年出栏量增幅类型
	 */
	private Integer expectOutWay;
	/**
	 * 预计年出栏量增幅数量
	 */
	private Integer expectOutUpdate;
	/**
	 * 母猪目标存栏量
	 */
	private Integer sowPlanStock;
	/**
	 * 目标年出栏量
	 */
	private Integer planOut;
	/**
	 * 年度
	 */
	private Integer year;

}
