package com.huimv.manager.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.manager.entity.vo.DailySowVo;
import com.huimv.manager.result.R;
import com.huimv.manager.utils.PageUtils;
import com.huimv.manager.entity.DailyTabulateDataEntity;

import java.util.List;
import java.util.Map;

/**
 * 耳标每日汇总表
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-24 16:29:33
 */
public interface DailyTabulateDataService extends IService<DailyTabulateDataEntity> {

    PageUtils queryPage(Map<String, Object> params);

    DailyTabulateDataEntity listByFarm(Map<String, Object> params);

    List countAllChange(Map<String, Object> params);

    Map countAllsow(Map<String, Object> params);

    R selectEverydaySowTotalStockByFarmCode(String farmCode);
}

