package com.huimv.manager.service.impl;

import com.huimv.manager.entity.BaseRegionEntity;
import com.huimv.manager.mapper.BaseRegionDao;
import com.huimv.manager.service.BaseRegionService;
import com.huimv.manager.utils.PageUtils;
import com.huimv.manager.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-28 10:39:17
 */
@Service("baseRegionService")
public class BaseRegionServiceImpl extends ServiceImpl<BaseRegionDao, BaseRegionEntity> implements BaseRegionService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<BaseRegionEntity> page = this.page(
                new Query<BaseRegionEntity>().getPage(params),
                new QueryWrapper<BaseRegionEntity>()
        );

        return new PageUtils(page);
    }

}