package com.huimv.manager.service.impl;

import com.huimv.manager.entity.EartagOffineEntity;
import com.huimv.manager.mapper.EartagOffineDao;
import com.huimv.manager.service.EartagOffineService;
import com.huimv.manager.utils.PageUtils;
import com.huimv.manager.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-27 14:50:11
 */
@Service("eartagOffineService")
public class EartagOffineServiceImpl extends ServiceImpl<EartagOffineDao, EartagOffineEntity> implements EartagOffineService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<EartagOffineEntity> page = this.page(
                new Query<EartagOffineEntity>().getPage(params),
                new QueryWrapper<EartagOffineEntity>()
        );

        return new PageUtils(page);
    }

}