package com.huimv.transmission;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@MapperScan("com.huimv.transmission.mapper")
@EnableScheduling
@SpringBootApplication
public class HuimvSmartEartagDataTransmissionApplication {
    public static void main(String[] args) {
        SpringApplication.run(HuimvSmartEartagDataTransmissionApplication.class, args);
    }
}
