package com.huimv.transmission.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.transmission.entity.FarmEartagChangeEntity;
import com.huimv.transmission.entity.form.NewAndOffLineForm;
import com.huimv.transmission.entity.form.PigStockForm;
import com.huimv.transmission.entity.vo.ChangeEartagDataVo;
import com.huimv.transmission.utils.PageUtils;

/**
 * <p>
 *
 * </p>
 *
 * @author yinhao
 * @date 2021/7/26 17:46
 */
public interface FarmEartagChangeService extends IService<FarmEartagChangeEntity> {
    IPage<ChangeEartagDataVo> getPigStockByChangeType(Integer currPage, Integer pageSize, Integer type);

    PageUtils getChangePigStock(NewAndOffLineForm newAndOffLineForm);

    PageUtils getOffLinePigStock(NewAndOffLineForm newAndOffLineForm);
}
